[SOLVED] How to install themes in awesome window manager?

Hello world!
I am trying to customize my awesome (literally and figuratively) system, and I keep breaking my rc.lua (luckily I keep backups). The theme I'm trying to install is Darklooks. Following the directions in This Article: http://solitudo.net/software/awesome/themes/
I cloned the themes repository and copied Darklooks to my ~/.config/awesome/themes folder, then following the advice of the arch wiki, I changed a line in my rc.lua from
beautiful.init("/usr/share/awesome/themes/default/theme.lua")
to
beautiful.init(awful.util.getdir("config") .. "/themes/Darklooks/theme.lua")
Unfortunately, when I restart awesome, I get a ton of errors, to where I'm having trouble picking out any of them to read, but everything that is normally colored is black, like it's missing a color value.
Any thoughts, hints, suggestions, or solutions would be much appreciated.
On another note: This is somewhat related, but I'm not really sure if this belongs in another thread, so If I need to edit this out and start a new thread, please tell me:
What exactly will the theme change? I know it will change the panel colors and such, but will it also change icons or do I install other icons separately? Also, If I were to add an icon theme, would that affect the indicators I have on the panel? For example, I have wicd-gtk and a battery monitor (I think it's batterymon?) that start with awesome and display on the panel, but the icons for those on the panel are pretty ugly. Is that something that would be changed by adding an icon pack, or is how they appear determined by the application itself?
Once again, I appreciate any and all solutions, opinions, etc.
Last edited by TheGuyWithTheFace (2013-07-21 01:16:48)

Chances are that the theme you want to use has not been updated to work with the latest version of awesome.
Remember ever version change in awesome comes with code changes that require you to re-edit/write your rc.lua, I would see if you can find an email address for the author & contact him/her directly to see if it is compatible.

Similar Messages

  • How to Install Oralce 8i on Windows 7

    How to Install Oralce 8i on Windows 7
    please help me to install oracle8i in windows7.it is giving error not found jrew.exe

    784182 wrote:
    I too would like to know how to install Oracle 8i on Windows 7. Most of you responding seem to think that this is a "stupid" idea. I am trying to connect to a VAX 6630 running Oracle 7. My client is a billion $ top 10 Fortune 500 multi-national company that has been in business longer than Microsoft AND Oracle put together. The VAX 6630 has been running over 20 years and the disks have been spinning just as long. This is a lot better than Microsoft can do considering they can't even put together an operating system that works for more than a couple of years. Welcome to the REAL world, pal.
    I am currently connecting to the VAX with Oracle 8i installed on Windows XP. Works great! So, putting aside all the snickering, can you answer the question or not? No time to laugh here. We have REAL world problems to solve.The VAX was a great machine with a great OS. I'm not surprised it is still humming along. Perhaps, from a pure business standpoint, this reliability is what led to the demise of DEC ... once you buy their equipment, there's little reason to spend more money with them. But all hardware fails eventually. Where do you get hardware support for this setup?
    What do you do with your real world, Fortune 500 problem when you have to ask for help from Oracle? What is their response?

  • How to install abap trial on window 7 32 bit

    Hi
    Abap or sap expert  I have  downloaded SAPNW7.0ABAPTrialSP12.part1 and SAPNW7.0ABAPTrialSP12.part2  these both file now i want to know how to install them. I already extracted  them to one folder.
    i have window 7 enterprise 32 bit.
    please guide me how to install on toshiba satellite a500 with window 7 32 bit.
    I will be very grateful.
    thanks
    Omar Rashid

    Hi
    Abap or sap expert  I have  downloaded SAPNW7.0ABAPTrialSP12.part1 and SAPNW7.0ABAPTrialSP12.part2  these both file now i want to know how to install them. I already extracted  them to one folder.
    i have window 7 enterprise 32 bit.
    please guide me how to install on toshiba satellite a500 with window 7 32 bit.
    I will be very grateful.
    thanks
    Omar Rashid

  • How to install external microphone on windows 8.1 hp envy 17 17-j010ep

    how to install external microphone on windows 8.1 hp envy 17 17-j010ep
    the problem is that on the device manager sounds
    it shows the external microphone but i cannot activate it, when i do activate it stays deactivated with a down arrow red

    Hi Apedrodinis,
    I understand you are having issues with the microphone using Windows 8.1 on your HP Envy 17 17-j010ep. Here is a generic document on resolving microphone and line-in problems Windows 8.
    http://h10025.www1.hp.com/ewfrf/wc/document?cc=us&dlc=en&docname=c03421813&lc=en&product=5397916&tmp...
    Hope it helps.
    Thanks
    Please click “Accept as Solution ” if you feel my post solved your issue, it will help others find the solution.
    Click the “Kudos, Thumbs Up" on the bottom to say “Thanks” for helping!

  • How to install SOA 10g on Windows 7 64-bit platform?

    Hi Friends
    How to install SOA 10g on Windows 7 64-bit platform ?
    I've downloaded the 64-bit version downloadable from OTN and able to run the irca.bat on DB 10.2.0.3 however the SOA Installer fails at BPEL Config Assistant step with errors :
    deploy-applications:
    Deploying Oracle BPEL Process Manager ...
    Copying 1 file to C:\SOA134\bpel\system\services\lib
    Copying 1 file to C:\SOA134\bpel\system\services\lib
    Copying 1 file to C:\SOA134\bpel\system\services\lib
    Updating jar: C:\SOA134\bpel\system\services\lib\orabpel.ear
    Running batch script by:
    java admin_client.jar deployer:oc4j:opmn://<domain name>:6003/oc4j_soa -script C:\SOA134\bpel\system\services\install\ant-tasks/bpel_deployapps.txt
    Failed at "Could not get DeploymentManager".
    This is typically the result of an invalid deployer URI format being supplied, the target server not being in a started state or incorrect authentication details being supplied.
    More information is available by enabling logging -- please see the Oracle Containers for J2EE Configuration and Administration Guide for details.

    Hi,
    We know now why SOA Installer fails...
    Now we need to know why you can not start OC4J properly. What do you see in the log files?
    https://forums.oracle.com/forums/ann.jspa?annID=893
    Cheers,
    Vlad

  • How to install Oracle 11gR2 on Windows 7

    Hi friend;
    There are many questions about *"how we can make instalaltion on win7"*. Thatswhy i made one video tutorial which is mention *"How to install Oracle 11gR2 on Windows 7*
    Its avaliable at my blog:
    *http://heliosguneserol.wordpress.com/*
    Hope it helps who need to make this installation
    Regard
    Helios

    This question is not related to the Database Migration Assistant for Unicode (DMU). Please, post your question to one of the more appropriate forums, for example:
    General Database Discussions
    Database Installation
    -- Sergiusz

  • How to Install or Run on Windows Xp/7

    Hi, I just see the bin/kvctl for Linux.
    How to Install o Run on Windows ?

    The actual command to invoke kvlite is pretty simple. From the bottom of the kvlite script:
    java $LOGGING -cp $LIBDIR/kvstore-1.1.100.jar oracle.kv.util.kvlite.KVLite -root $KVROOT -store $KVSTORE -host $HOSTNAME -port $REGPORT $ADMINPORT
    Here is a .cmd file that you can use (it's not supported). Some of our developers run on Windows but it is not a supported platform since we don't run our qualification tests on it. It's Java code, so in theory, "it should just work".
    @ECHO OFF
    CLS
    SET RETURN_CODE=
    SETLOCAL
    echo %~dp0
    SET HERE=%CD%
    SET BINDIR=%~dp0
    cd %HERE%
    SET LIBDIR=%BINDIR%\..\lib
    SET EXAMPLEDIR=%BINDIR%\..\examples
    SET KVSTORE=kvstore
    SET HOSTNAME=127.0.0.1
    SET REGPORT=5000
    SET KVROOT=kvroot
    SET LOGGING=
    SET ADMINPORT=
    setlocal enabledelayedexpansion
    :LOOP_ARGS
    SET ARGNAME=%1
    SET ARGVALUE=%2
    IF NOT "%1"=="" (
    IF "%ARGNAME%"=="-store" (
    SET KVSTORE=%ARGVALUE%
    SHIFT
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-port" (
    SET REGPORT=%ARGVALUE%
    SHIFT
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-root" (
    SET KVROOT=%ARGVALUE%
    SHIFT
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-host" (
    SET HOSTNAME=%ARGVALUE%
    SHIFT
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-admin" (
    SET ADMINPORT=-admin %ARGVALUE%
    SHIFT
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-logging" (
    SET LOGGING=-Djava.util.logging.config.file=%EXAMPLEDIR%
    /logging.properties
    SHIFT
    ) ELSE (
    IF "%ARGNAME%"=="-usage" (
    call:USAGE
    GOTO:end
    ) ELSE (
    IF "%ARGNAME%"=="-help" (
    call:USAGE
    GOTO:end
    GOTO LOOP_ARGS
    IF NOT EXIST %KVROOT% (
    MKDIR %KVROOT%
    echo Store "%KVSTORE%" starting ...
    java %LOGGING% -cp %LIBDIR%/kvstore-1.1.100.jar oracle.kv.util.kvlite.KVLite -root %KVROOT% -store %KVSTORE% -host %HOSTNAME% -port %REGPORT% %ADMINPORT%
    echo.&goto:eof
    ::-- Usage Function
    :USAGE
    echo Usage: run-kvlite.sh [-help]
    echo [-logging]
    echo [-store storeName]
    echo [-port port]
    echo [-host hostname]
    echo [-root rootDir]
    echo [-admin adminPort]
    echo -logging enables console logging
    echo -store defaults to kvstore
    echo -port defaults to 5000
    echo -host defaults to localhost
    echo -root defaults to ./kvroot and is created on demand
    :end

  • How to install hyper-v on windows 8 ?

    How to install hyper-v on windows 8 ?
    I want to install virtual PC but after some research I came to know that windows 8 no longer support virtual pc and it has been replaced by something called hyper-v.
    I just bought a Windows 8 laptop.
    I tried looking into windows on / off features (in control panel) and there is NO hyper-V.
    I know why I don't have hyper-V because after doing some research it seems like it is only available on windows 8 PRO.
    Here is comparison chart:
    http://en.wikipedia.org/wiki/Windows_8_editions#Comparison_chart
    I have Widows 8 on my laptop (NOT Windows PRO).
    Now in this situation, how to install hyper-v on my laptop ?
    Also, will I be able to run windows 7 virtually on my windows 8 laptop using hyper-v just like virtual pc ? like switching in windows between OS ? If I cannot do this and hyper-v does not work like virtual PC then I don;t think hyper-v will be useful to
    me at all and i don't wanna figure it out if it is not useful in any way ?

    Hi jeffcarter,
    To enable the Windows 8 Client Hyper-V feature, our computer needs to meet the following requirements:
    1. Hardware supports Second Level Address Translation (SLAT)
    2. 64-bit Windows 8 Pro or Enterprise.
    3. 4 GB or above of RAM.
    Therefore, it seems that your computer cannot install Hyper-V. Also, Windows Virtual PC cannot be run on Windows 8. Thanks for your understanding.
    In addition, regarding how to configure your BIOS to enable Intel VT-X, you can refer to your motherboard’s operating manual or query the vendor support for help.
    More information:
    Client Hyper-V
    Bringing Hyper-V to “Windows 8”
    Hope this helps.
    Jeremy Wu
    TechNet Community Support

  • How to install themes to Nokia N70

    can you help me how to install themes??
    When I download themes from web, over pc and try to install them on my mobile phone
    It says "Installation Security error, unable to install"
    please help

    try installing another theme..if it is working..maybe sis file is theme is not compatible..
    some aint missing a good thing til its gone...

  • How to install Primavera P6 Professional Project Management  v7

    Hi,
    I am a new baby in Primevera world and first time I am going to use this product.
    Two problems I am facing; 1) how to install 2) how to understand this product functional wise with sample data.
    Kindly share the installation guide/document(s)/steps how to install Primavera P6 Professional Project Management on single machine. What are pre-requisit for Primavera P6 Professional Project Management for single machine.
    Kindly share with the hard ware and software requirements before I begin the installation.
    Pls. help me, Waiting for quick response I will appreciate the cooperation.
    Regards
    Shah Faisal
    Mail: [email protected]

    The full procedure for installing P6 is given on the link below
    http://www.aboutcivil.com/answers/Primavera/I-have-Installed-P6-but-it-needs-DATA-BASE-CONFIGURATION-How-to-do-that?-|75
    If you want to watch a video tutorial on the same topic, here is another link on the same website
    http://www.aboutcivil.com/primavera-p6-video-tutorial-installation.html
    Edited by: 815755 on Nov 25, 2010 10:35 AM

  • [SOLVED] How to install and run (on debian) a separate, downlevel version of firefox for the F5/firepass VPN?

    (Note: my problem is similar to [https://support.mozilla.org/en-US/questions/931534?e=es&as=aaq another current problem] except that
    * OP is running windows (I'm running a debian linux)
    * OP is asking a more general question (how to fix?) while I'm asking for details on a proposed fix)
    I'm currently running
    $ lsb_release -ds
    Linux Mint Debian Edition
    $ cat /etc/debian_version
    wheezy/sid
    $ uname -rv
    3.2.0-2-amd64 #1 SMP Sun Mar 4 22:48:17 UTC 2012
    $ iceweasel --version
    Mozilla Iceweasel 13.0.1
    I'd like to continue running an uplevel iceweasel ([http://en.wikipedia.org/wiki/Mozilla_Corporation_software_rebranded_by_the_Debian_project which is firefox]) but apparently need to run a downlevel version in order to run a particular vendor-supplied plugin. How best to do that (i.e., with minimal performance degradation, and without affecting my package management)? Or is there another way to solve the general problem (running the F5 Network Access Plugin)? Why I ask:
    My employer is giving me remote access via a SecurID token and the F5 Network Access Plugin (F5NAP). The latter is in fact a browser plugin, which seems to me an odd way to implement a VPN, but it's the only offered option. Unfortunately,
    * the only browsers supported for linux are Firefox 3 and Firefox 8 (per [http://support.f5.com/kb/en-us/products/big-ip_apm/manuals/product/apm_compatibility_matrix_10_2_1.html this]--scroll to "Linux Operating Systems")
    * my primary laptop runs LMDE (see above) with Iceweasel 13 (from the mozilla.debian.net repository), which I want to keep. (It's the uplevel browser, dammit !-)
    So I first tried to install the F5NAP on my iceweasel, hoping it was sufficiently like the listed versions. I browsed to my employer's site, logged in using the token, and followed the link to install the plugin. Unfortunately, that failed: the xpi began running, but then quit with the message
    > F5 Network Access Plugin could not be installed because it is not compatible with Iceweasel 13.0.1
    Hoping for a simple workaround, I told the often-useful User Agent Switcher plugin to emulate Firefox 8, but no fix. Hence it seems like I will hafta
    * install Firefox 3 or Firefox 8
    * run that downlevel browser whenever I want remote access
    * run the uplevel browser for everything else
    This definitely seems like a kludge, so I am open to alternatives. Meanwhile I'm wondering:
    # Which of the F5-supported downlevel browsers (Firefox 3 or Firefox 8) has the smaller memory footprint?
    # How to install the downlevel browser so that it does not interfere with my uplevel browser's configuration, operation, and updating via debian package management?
    # How to run the downlevel browser so that its operation does not interfere with my uplevel browser? I know firefox typically wants to run singleton.

    @[https://support.mozilla.org/en-US/user/160087 verdi]: thanks for your helpful suggestions. The "fix" (actually a kludge, but I gotta work with what F5 and my employer give me) was:
    # Install/run latest Firefox 3 (despite there being [https://support.mozilla.org/en-US/questions/932269 no 64-bit version for linux]) using [https://docs.google.com/open?id=0BzDAFHgIxRzKbmJDUGZqTzhfbDg this bash scriptlet].
    # Create a [https://docs.google.com/open?id=0BzDAFHgIxRzKQjRyQndqUTJpRXM run script] to start firefox so that one can
    #* choose the appropriate profile (I was unable to set it from the script without startup error)
    #* run multiple instances (I don't want 3.x firefox touching my uplevel profile)
    # Run Firefox 3.x with the runner, then point it to my employer's site to install the [http://support.f5.com/kb/en-us/products/big-ip_apm/manuals/product/apm_compatibility_matrix_10_2_1.html F5 Network Access Plugin] (restarting firefox as required).
    The gnome-terminal tab from which I invoke the runner spews a bazillion "wrong ELF class: ELFCLASS64" errors, but the plugin runs, and I can SSH normally (though more slowly) to servers on the VLAN from another terminal tab.

  • Portege M400 - How to install Toshiba Utilities for Windows 7?

    I've upgraded my Portege M400 to Winows 7 (32bit) which went fine. However, cant find how to get and install the utilities I had included with the XP Tablet version.
    Can anyone suggest how to get them (I understand they were available for Vista)?
    TIA.
    Kris

    Hi
    The Toshiba Utilities that you mean are only designed for Windows XP. On Windows Vista and Windows 7 you need only the Toshiba Value Added Package. This package contains all what you need.
    Portege M400 doesnt support Windows 7 but you can try to install the Vista drivers. The most of them are also work on Windows 7.
    As far as I know you also need Toshiba Button Support on this model.

  • How to Install Oracle 10g in Windows 7 Home premium 64bit operating system

    Hi,
    I am using Windows 7 Home premium 64bit operating system. While i was installing oracle 10g i got error and not able to install. How to install the Oracle 10g databse on this operating system. Is there any patch to install this or i have to use other version of oracle with window 7 operating system?
    Thanks in advance
    Mayank Adhikari

    The argument would be who wants to install Oracle database on Windows 7. I think most probably by the developers who wants to "Try" something prior deal with a production database, right?
    For a developer, installing database using the hack is more than NOT having a local database running from the local system. I installed all the products mentioned with windows7bugs post and used the following tools to successfully connect and retrive data from the database instances.
    Toad 9.7.x.x
    SQL Developer
    SQL/Plus
    Developer 6i (Another hack, please check this link http://windows7bugs.wordpress.com/2010/03/01/installing-oracle-developer-forms-reports-6i-on-windows-7-64bit/).
    I think the discussion about whether all the features of client/server are still available with such a hacked installation is meaningless as far the information requested was strictly for Windows 7, not for a Server OS.
    regards,

  • How to install PS 7 on windows 7- 64 bit

    Help to install PS 7 on windows 7- 64 bit

    Ok but I read that PS 7 was only a 16 bit install. How do you get it to install on a 64 bit system?

  • How to install SAP GUI in Windows 8.1

    Hi,
    Please guide me how to install SAP GUI in OS Windows 8.1
    Regards,
    Priya

    Before installation of SAP GUI we need to know the OS details and the OS system Bits (32 / 64).
    NW SAP Setup
    • Download the software @ SAP Site using S user login ID.
    • Download the Software gui730_0-10010496 (include the patch 6 hotfix 1)
    • After download Extract it and go to the path and install.

Maybe you are looking for